Vsearch plugin error

Hello, All,

Plugin error from vsearch:

‘318a6e710e5f1b26a6b467882529143e’

Can anyone tell me how to solve this error?

Hi @Asha1, we don’t have quite enough background info to provide any real help here. Can you please share:

  • Version of QIIME 2 you are running, and how it is installed (e.g. Virtualbox, conda, etc.)
  • What is the exact command or commands you ran? Copy and paste please.
  • What is the exact error message? If you didn’t run the command with the --verbose flag, please re-run and copy-and-paste the results.

Dear sir,

When I was trying to do open reference clustering of my ITS sequence data, I had been getting this error

Plugin error from vsearch:
‘318a6e710e5f1b26a6b467882529143e’

I searched in qiime forum also, but I didn’t get any solution for this error. The command line which I used was

qiime tools import --input-path sh_refs_qiime_ver8_dynamic_02.02.2019.fasta --output-path sh_refs_qiime_ver8_dynamic_s_02.02.2019fasta.qza --type FeatureData[Sequence]

qiime vsearch cluster-features-open-reference --i-table ITStable-dada2.qza --i-sequences ITSrep-seqs-dada2.qza --i-reference-sequences sh_refs_qiime_ver8_dynamic_s_02.02.2019fasta.qza --p-perc-identity 0.85 --o-clustered-table table-or-85.qza --o-clustered-sequences rep-seqs-or-85.qza --o-new-reference-sequences new-ref-seqs-or-85.qza

I was struggling a lot to find a solution to these problems for the past many days . If you help me means, I would be really grateful to you.

Thank you so much for your time, support and consideration. I look forward to reply from you.

Hi @Asha1 --- thanks for the info! We are still missing one piece though, I need the complete error log:

Thanks! :t_rex: :qiime2:

Dear Matthew Ryan Dillon

Thank you so much for your reply sir, I am using qiime2-2019.1 version. Herewith I have attached screenshot of my openreference clustering error after running with Verbose command, Kindly have a look.

Please let me inform what I have to do further? I look forward to your reply soon.

Hey @Asha1,

This looks unusual to me, I suspect something may be wrong with the plugin here, as your steps all seem reasonable. Is it possible to share this data (via direct message)? I would like to take a closer look to see what is going on (if there is a smaller version of this which causes the same error, that would of course be ideal).

Hey @ebolyen @thermokarst
Herewith, I have attached my file link for your kind perusal. I tried qiime studio also, but same error came again Please let me what I have to further?

vsearch v2.7.0_linux_x86_64, 7.8GB RAM, 8 cores

Reading file /tmp/qiime2-archive-5sj5jtiz/35861337-c87e-4a91-8583-b08e7ab155f2/data/dna-sequences.fasta 100%
19748639 nt in 35667 seqs, min 205, max 3526, avg 554
maxseqlength 50000: 1 sequence discarded.
Masking 100%
Counting k-mers 100%
Creating k-mer index 100%
Searching 100%
Matching query sequences: 30 of 49 (61.22%)
vsearch v2.7.0_linux_x86_64, 7.8GB RAM, 8 cores

Reading file /tmp/tmp44x2i2t1 100%
4869 nt in 19 seqs, min 21, max 380, avg 256
Getting sizes 100%
Sorting 100%
Median abundance: 147
Writing output 100%
vsearch v2.7.0_linux_x86_64, 7.8GB RAM, 8 cores

Reading file /tmp/tmpasipttgv 100%
4826 nt in 17 seqs, min 43, max 380, avg 284
minseqlength 32: 2 sequences discarded.
Sorting by abundance 100%
Counting k-mers 100%
Clustering 100%
Sorting clusters 100%
Writing clusters 100%
Clusters: 5 Size min 1, max 12, avg 3.4
Singletons: 3, 17.6% of seqs, 60.0% of clusters
concurrent.futures.process._RemoteTraceback:
“”"
Traceback (most recent call last):
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/concurrent/futures/process.py”, line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 34, in _subprocess_apply
results = action(*args, **kwargs)
File “</home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-474>”, line 2, in cluster_features_open_reference
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 458, in callable_executor
outputs = self._callable(scope.ctx, **view_args)
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_vsearch/_cluster_features.py”, line 338, in cluster_features_open_reference
perc_identity=perc_identity, threads=threads)
File “</home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-479>”, line 2, in cluster_features_de_novo
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File "/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_vsearch/cluster_features.py", line 201, in cluster_features_de_novo
include_collapsed_metadata=False)
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/biom/table.py”, line 2589, in collapse
for part, table in self.partition(f, axis=axis):
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/biom/table.py”, line 2295, in partition
part = f(id
, md)
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_vsearch/cluster_features.py", line 100, in collapse_f
return id_to_centroid[id
]
KeyError: ‘318a6e710e5f1b26a6b467882529143e’
“””

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/bioinformatics/Downloads/q2studio-2019.4.0/q2studio/api/jobs.py”, line 156, in callback
results = future.result()
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/concurrent/futures/_base.py”, line 425, in result
return self.__get_result()
File “/home/bioinformatics/miniconda3/envs/qiime2-2019.4/lib/python3.6/concurrent/futures/_base.py”, line 384, in __get_result
raise self._exception
KeyError: ‘318a6e710e5f1b26a6b467882529143e’

File link: https://drive.google.com/drive/folders/1I4Mk20KQNRb8QhW1J9yPWJadNBRGPMAU?usp=sharing

Hi @Asha1!

Thank you very much for sharing your data (I have a copy now so you may delete the drive folder if you wish).

I think I know what is happening. Your representative sequences from DADA2 are not only very few (which suggests something may have gone wrong there), but also very short. In fact a few reads (at least 318a6e710e5f1b26a6b467882529143e and f5799ce61d170ba63291b8a68ad67fd3) are shorter than 32 bases.

This is important, because vsearch will automatically filter out any reads smaller than 32:

  --minseqlength INT          min seq length (clust/derep/search: 32, other:1)

In QIIME 2, we don’t have this parameter exposed, and we’ve never run into this situation before, so our code expects all of the reads we provide to vsearch to be returned (in a clustered state). Since some of your reads are too short, vsearch removes them, and when QIIME 2 tries to find them again, we get that strange KeyError you keep seeing.

I think this is something we need to fix in QIIME 2, but it doesn’t help with your larger problem of very very short reads (and unusually few unique ASVs).

Could you elaborate on your sequencing technology, and where these samples come from? Perhaps this is expected, and clustering is just not the best approach here, but the read in question:

>318a6e710e5f1b26a6b467882529143e
TCCGTAGGTGAAGAACGCAGC

seems a little too short for me to believe. Does anyone else have suggestions for ITS and DADA2?

3 Likes

Hi,
I just ran into a problem with the vsearch clustering (Ion Torrent data, ITS2, using qiime2-2019.4 in miniconda3).
Plugin error from vsearch: ‘0f2a4d907cb72fc6658b05f091beddee’

I have worked with these data before and my script was just fine so the error must happend because i changed something in the trimming parameters (been playing around a bit).
To me it is not obvious though whats going on? It does not seem to be because of the short seqs as in the post above though?
Any thoughts greatly appreciated!

Here’s the log:

(qiime2-2019.4) n[email protected]:~/guano> qiime vsearch cluster-features-de-novo --i-table table-dada2.qza --i-sequences rep-seqs.qza --p-perc-identity 0.97 --o-clustered-table OTU97-table.qza --o-clustered-sequences OTU-seqs97.qza --verbose
Running external command line application. This may print messages to stdout and/or stderr.
The command being run is below. This command cannot be manually re-run as it will depend on temporary files that no longer exist.

Command: vsearch --cluster_size /tmp/tmpg70qxvhj --id 0.97 --centroids /tmp/q2-DNAFASTAFormat-3myha6xc --uc /tmp/tmpup5as8tj --qmask none --xsize --threads 1

vsearch v2.7.0_linux_x86_64, 251.6GB RAM, 48 cores

Reading file /tmp/tmpg70qxvhj 100%
27892 nt in 408 seqs, min 32, max 166, avg 68
minseqlength 32: 30 sequences discarded.
Sorting by abundance 100%
Counting k-mers 100%
Clustering 100%
Sorting clusters 100%
Writing clusters 100%
Clusters: 285 Size min 1, max 39, avg 1.4
Singletons: 241, 59.1% of seqs, 84.6% of clusters
Traceback (most recent call last):
File “/home/n9606661/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py”, line 311, in call
results = action(**arguments)
File “</home/n9606661/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-121>”, line 2, in cluster_features_de_novo
File “/home/n9606661/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/n9606661/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File "/home/n9606661/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_vsearch/cluster_features.py", line 201, in cluster_features_de_novo
include_collapsed_metadata=False)
File “/home/n9606661/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/biom/table.py”, line 2589, in collapse
for part, table in self.partition(f, axis=axis):
File “/home/n9606661/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/biom/table.py”, line 2295, in partition
part = f(id
, md)
File "/home/n9606661/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_vsearch/cluster_features.py", line 100, in collapse_f
return id_to_centroid[id
]
KeyError: ‘0f2a4d907cb72fc6658b05f091beddee’

Plugin error from vsearch:

‘0f2a4d907cb72fc6658b05f091beddee’

See above for debug info.

Hi @frdmn, can you please share a feature-table tabulate-seqs summary of your FeatureData[Sequence] QZA? This will give us some feature length statistics.

A post was split to a new topic: Error when renning cluster-features-de-novo